#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(psample_group_get, "_gpl", "");
KSYMTAB_FUNC(psample_group_take, "_gpl", "");
KSYMTAB_FUNC(psample_group_put, "_gpl", "");
KSYMTAB_FUNC(psample_sample_packet, "_gpl", "");

SYMBOL_CRC(psample_group_get, 0xf0cb1d69, "_gpl");
SYMBOL_CRC(psample_group_take, 0xac235b9e, "_gpl");
SYMBOL_CRC(psample_group_put, 0xcd7d0877, "_gpl");
SYMBOL_CRC(psample_sample_packet, 0xeac36445, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x75f0cc0b, "genl_register_family" },
	{ 0xf88226e4, "genl_unregister_family" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbeea74eb, "__alloc_skb" },
	{ 0x1882ab16, "genlmsg_put" },
	{ 0xb5f70e15, "nla_put" },
	{ 0xb4a62724, "nla_put_64bit" },
	{ 0x4a9c058d, "netlink_broadcast" },
	{ 0x64b6d9d6, "skb_trim" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa3d1d07e, "kfree_skb_reason" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe9ff6e6c, "skb_put" },
	{ 0x30d6e866, "skb_copy_bits" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

